Package twisted :: Package web :: Package woven :: Module input

[frames | no frames]

## Module twisted.web.woven.input

Classes
`Anything` | Handle anything except for None
`DefaultHandler` |
`DictAggregator` | An InputHandler for a <form> tag, for triggering a function when all of the form's individual inputs have been validated.
`Float` | Only allow a single float
`InputHandler` | An InputHandler is like a controller, but it operates on something contained inside of `self.model` instead of directly on `self.model`.
`Integer` | Only allow a single integer
`List` |
`ListAggregator` |
`SingleValue` |

Variable Summary
`str` | `__version__` = `'1.34'`

Variable Details

### __version__

  Type:
    `str`
  Value:

        '1.34'

Generated by Epydoc 2.0 on Sat May 15 20:08:14 2004 | http://epydoc.sf.net